Bug 426467 - Okular crashes with some PDFs
Summary: Okular crashes with some PDFs
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: PDF backend (show other bugs)
Version: 1.11.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-13 09:11 UTC by Txutxifel
Modified: 2020-09-16 23:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example crash (562.66 KB, application/pdf)
2020-09-13 09:11 UTC, Txutxifel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Txutxifel 2020-09-13 09:11:58 UTC
Created attachment 131588 [details]
Example crash

SUMMARY
Okular works ok in muy computer. But It crashes with PDFs. I think is about the certificates embedded. this pdfs can be read on evince.


STEPS TO REPRODUCE
1. I tried to open a PDF. I attached one example
2. Okular crashes
3. 

OBSERVED RESULT
Okular crashes

EXPECTED RESULT
Okular opens PDF

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Opensuse Tumblewwe
KDE Plasma Version:  5.19
KDE Frameworks Version: 5.72
Qt Version: 5.15

ADDITIONAL INFORMATION
Comment 1 Yuri Chornoivan 2020-09-13 09:27:34 UTC
Confirmed for poppler 20.09 and Okular from 4th of September.
Comment 2 Albert Astals Cid 2020-09-13 21:45:02 UTC
the file "is broken", it lists the same signature multiple times and we get confused by it. I'll prepare a fix "soon"
Comment 3 Bug Janitor Service 2020-09-15 22:28:52 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/273
Comment 4 Albert Astals Cid 2020-09-16 23:26:33 UTC
Git commit 9bf171a108cd525eab8d01c4045e22c3e9d5d142 by Albert Astals Cid.
Committed on 16/09/2020 at 21:42.
Pushed by aacid into branch 'release/20.08'.

Fix crash on files that have the same signature in more than 1 page

It happens with some official documents where they use the same
signature in all pages to make it clear all pages are signed/official

M  +2    -2    generators/poppler/generator_pdf.cpp

https://invent.kde.org/graphics/okular/commit/9bf171a108cd525eab8d01c4045e22c3e9d5d142
Comment 5 Albert Astals Cid 2020-09-16 23:27:58 UTC
Git commit 7ccb475df82cb3ee8c838a32511ceb59ba3b8337 by Albert Astals Cid.
Committed on 16/09/2020 at 23:27.
Pushed by aacid into branch 'master'.

Fix crash on files that have the same signature in more than 1 page

It happens with some official documents where they use the same
signature in all pages to make it clear all pages are signed/official

M  +2    -2    generators/poppler/generator_pdf.cpp

https://invent.kde.org/graphics/okular/commit/7ccb475df82cb3ee8c838a32511ceb59ba3b8337